group 'ai.panoptic.vital_sign_camera'
version '1.0-SNAPSHOT'

buildscript {
    ext.kotlin_version = '1.5.20'
    repositories {
        google()
        mavenCentral()
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:7.1.2'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
    }
}

allprojects {
    repositories {
        google()
        mavenCentral()
    }
}

apply plugin: 'com.android.library'
apply plugin: 'kotlin-android'

android {
    compileSdkVersion 34

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    kotlinOptions {
        jvmTarget = '1.8'
    }

    sourceSets {
        main.java.srcDirs += 'src/main/kotlin'
    }

    defaultConfig {
        minSdkVersion 24
    }
}

dependencies {

    implementation 'androidx.preference:preference-ktx:1.2.1'
    implementation 'androidx.camera:camera-core:1.0.2'
    implementation 'com.google.mlkit:face-detection:16.1.2'
    implementation 'com.android.volley:volley:1.2.1'
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation project(":vital-sign-engine")

    implementation "androidx.camera:camera-core:1.1.0-beta02"
    implementation "androidx.camera:camera-camera2:1.1.0-beta02"
    implementation "androidx.camera:camera-lifecycle:1.1.0-beta02"
    implementation "androidx.camera:camera-video:1.1.0-beta02"

    implementation "androidx.camera:camera-view:1.1.0-beta02"
    implementation "androidx.camera:camera-extensions:1.1.0-beta02"

    implementation "androidx.exifinterface:exifinterface:1.3.3"

    implementation "org.jetbrains.kotlinx:kotlinx-coroutines-guava:1.5.2"
    implementation "org.jetbrains.kotlinx:kotlinx-coroutines-android:1.5.2"
}